# Split an order

Split an order from a cart ORDERS PACK onto an individual shipment.\
(Only for the Mercado Libre marketplace)

It is used because on some occasions it is necessary to separate one or more of the orders belonging to a cart ORDERS PACK, so that a different logistics shipment is made for one or many of the order(s).

Of all the orders that belong to a cart, this method should be invoked for each one of the orders for which you want to generate a new shipment and shipping label.

The necessary preconditions for the split of an order are the following:\
\=> The order must belong to a cart ORDERS PACK.\
\=> The cart ORDERS PACK must have more than 1 (one) item / more then 1 (one) order.\
\=> The order must not have been previously delivered.\
\=> The shipping label of the order must not be in PENDING substate.\
\=> The shipping label of the order must not be in STALE substate.

After splitting the indicated order, two attributes of the order will change their value:\
\- ExternalShippingId (the new external shipping ID)\
\- PackID (the new cart ORDERS PACK ID. Correct, a new cart pack ID containing one order only).

The Mercado Libre API can take time to perform the split, that is, to generate a new shipping ID, so it is recommended to do a new GET order method again after performing the POST order split method and wait for the order reflects the new status and updated data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/orders/post-methods/split-an-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
